List attempts
curl --request GET \
--url https://api.orqex.com/v1/payment/intents/{paymentIntentId}/attempts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.orqex.com/v1/payment/intents/{paymentIntentId}/attempts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.orqex.com/v1/payment/intents/{paymentIntentId}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "att_9Kd12f",
"method": {
"value": "test",
"label": "<string>",
"description": "<string>",
"icon_url": "<string>",
"category": "<string>",
"requires_phone": true
},
"amount": {
"value": 50,
"formatted": "$50.00",
"short": "$50",
"currency": "USD"
},
"exchange_rate": 123,
"correction_rate": 123,
"gateway": {
"transaction": {
"id": "<string>",
"reference": "<string>",
"external_id": "<string>",
"status": "<string>"
}
},
"next_action": {
"message": "<string>",
"instructions": [
"<string>"
],
"dial_code": "<string>",
"digits": 123,
"is_strict": true,
"fields": [
{}
],
"url": "<string>",
"method": "<string>",
"post_data": {},
"can_auto_redirect": true,
"content": "<string>",
"image_url": "<string>",
"title": "<string>",
"provider": "<string>",
"sdk_url": "<string>",
"public_key": "<string>",
"client_params": {},
"container_id": "<string>"
},
"failure": {
"code": {
"value": "<string>",
"message": "<string>"
},
"message": "<string>"
},
"failover": {
"is_failover": true,
"decision": {}
},
"completed_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"count": 25,
"path": "<string>",
"per_page": 25,
"next_cursor": "<string>",
"next_page_url": "<string>",
"prev_cursor": "<string>",
"prev_page_url": "<string>",
"has_more_pages": true,
"has_pages": true
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Payment attempts
List attempts
Every attempt made on this payment, newest first.
GET
/
payment
/
intents
/
{paymentIntentId}
/
attempts
List attempts
Authorizations
Your secret key, e.g. sk_live_... or sk_sandbox_....
Path Parameters
The payment intent id.
Query Parameters
Number of records per page.
Opaque cursor taken from pagination.next_cursor.
Was this page helpful?
⌘I